- Extending Qt Creator Manual
- QtCreator
- Environment
- Extending Qt Creator Manual 13.0.0

# Environment Class

class Utils::Environment

The Environment class sets Qt Creator's system environment. More...

Header: | #include <Environment>

- List of all members, including inherited members

## Static Public Members

Utils::Environment | systemEnvironment()

## Detailed Description

## Member Function Documentation

### `[static]` Utils::Environment Environment::systemEnvironment()

Returns Qt Creator's system environment.

This can be different from the system environment that Qt Creator started in if the user changed it in Preferences > Environment > System > Environment.